require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&RNDIS_MAJOR_VERSION)) {
    sub RNDIS_MAJOR_VERSION () {	0x1;}
}
unless(defined(&RNDIS_MINOR_VERSION)) {
    sub RNDIS_MINOR_VERSION () {	0x;}
}
unless(defined(&RNDIS_DF_CONNECTIONLESS)) {
    sub RNDIS_DF_CONNECTIONLESS () {	0x1;}
}
unless(defined(&RNDIS_DF_CONNECTION_ORIENTED)) {
    sub RNDIS_DF_CONNECTION_ORIENTED () {	0x2;}
}
unless(defined(&RNDIS_DF_RAW_DATA)) {
    sub RNDIS_DF_RAW_DATA () {	0x4;}
}
unless(defined(&RNDIS_MSG_COMPLETION)) {
    sub RNDIS_MSG_COMPLETION () {	0x80000000;}
}
unless(defined(&RNDIS_MSG_PACKET)) {
    sub RNDIS_MSG_PACKET () {	0x1;}
}
unless(defined(&RNDIS_MSG_INIT)) {
    sub RNDIS_MSG_INIT () {	0x2;}
}
unless(defined(&RNDIS_MSG_INIT_C)) {
    sub RNDIS_MSG_INIT_C () {	( &RNDIS_MSG_INIT| &RNDIS_MSG_COMPLETION);}
}
unless(defined(&RNDIS_MSG_HALT)) {
    sub RNDIS_MSG_HALT () {	0x3;}
}
unless(defined(&RNDIS_MSG_QUERY)) {
    sub RNDIS_MSG_QUERY () {	0x4;}
}
unless(defined(&RNDIS_MSG_QUERY_C)) {
    sub RNDIS_MSG_QUERY_C () {	( &RNDIS_MSG_QUERY| &RNDIS_MSG_COMPLETION);}
}
unless(defined(&RNDIS_MSG_SET)) {
    sub RNDIS_MSG_SET () {	0x5;}
}
unless(defined(&RNDIS_MSG_SET_C)) {
    sub RNDIS_MSG_SET_C () {	( &RNDIS_MSG_SET| &RNDIS_MSG_COMPLETION);}
}
unless(defined(&RNDIS_MSG_RESET)) {
    sub RNDIS_MSG_RESET () {	0x6;}
}
unless(defined(&RNDIS_MSG_RESET_C)) {
    sub RNDIS_MSG_RESET_C () {	( &RNDIS_MSG_RESET| &RNDIS_MSG_COMPLETION);}
}
unless(defined(&RNDIS_MSG_INDICATE)) {
    sub RNDIS_MSG_INDICATE () {	0x7;}
}
unless(defined(&RNDIS_MSG_KEEPALIVE)) {
    sub RNDIS_MSG_KEEPALIVE () {	0x8;}
}
unless(defined(&RNDIS_MSG_KEEPALIVE_C)) {
    sub RNDIS_MSG_KEEPALIVE_C () {	( &RNDIS_MSG_KEEPALIVE| &RNDIS_MSG_COMPLETION);}
}
unless(defined(&RNDIS_MSG_BUS)) {
    sub RNDIS_MSG_BUS () {	0xff000001;}
}
unless(defined(&RNDIS_STATUS_SUCCESS)) {
    sub RNDIS_STATUS_SUCCESS () {	0x;}
}
unless(defined(&RNDIS_STATUS_PENDING)) {
    sub RNDIS_STATUS_PENDING () {	0x103;}
}
unless(defined(&RNDIS_STATUS_NOT_RECOGNIZED)) {
    sub RNDIS_STATUS_NOT_RECOGNIZED () {	0x10001;}
}
unless(defined(&RNDIS_STATUS_NOT_COPIED)) {
    sub RNDIS_STATUS_NOT_COPIED () {	0x10002;}
}
unless(defined(&RNDIS_STATUS_NOT_ACCEPTED)) {
    sub RNDIS_STATUS_NOT_ACCEPTED () {	0x10003;}
}
unless(defined(&RNDIS_STATUS_CALL_ACTIVE)) {
    sub RNDIS_STATUS_CALL_ACTIVE () {	0x10007;}
}
unless(defined(&RNDIS_STATUS_ONLINE)) {
    sub RNDIS_STATUS_ONLINE () {	0x40010003;}
}
unless(defined(&RNDIS_STATUS_RESET_START)) {
    sub RNDIS_STATUS_RESET_START () {	0x40010004;}
}
unless(defined(&RNDIS_STATUS_RESET_END)) {
    sub RNDIS_STATUS_RESET_END () {	0x40010005;}
}
unless(defined(&RNDIS_STATUS_RING_STATUS)) {
    sub RNDIS_STATUS_RING_STATUS () {	0x40010006;}
}
unless(defined(&RNDIS_STATUS_CLOSED)) {
    sub RNDIS_STATUS_CLOSED () {	0x40010007;}
}
unless(defined(&RNDIS_STATUS_WAN_LINE_UP)) {
    sub RNDIS_STATUS_WAN_LINE_UP () {	0x40010008;}
}
unless(defined(&RNDIS_STATUS_WAN_LINE_DOWN)) {
    sub RNDIS_STATUS_WAN_LINE_DOWN () {	0x40010009;}
}
unless(defined(&RNDIS_STATUS_WAN_FRAGMENT)) {
    sub RNDIS_STATUS_WAN_FRAGMENT () {	0x4001000a;}
}
unless(defined(&RNDIS_STATUS_MEDIA_CONNECT)) {
    sub RNDIS_STATUS_MEDIA_CONNECT () {	0x4001000b;}
}
unless(defined(&RNDIS_STATUS_MEDIA_DISCONNECT)) {
    sub RNDIS_STATUS_MEDIA_DISCONNECT () {	0x4001000c;}
}
unless(defined(&RNDIS_STATUS_HARDWARE_LINE_UP)) {
    sub RNDIS_STATUS_HARDWARE_LINE_UP () {	0x4001000d;}
}
unless(defined(&RNDIS_STATUS_HARDWARE_LINE_DOWN)) {
    sub RNDIS_STATUS_HARDWARE_LINE_DOWN () {	0x4001000e;}
}
unless(defined(&RNDIS_STATUS_INTERFACE_UP)) {
    sub RNDIS_STATUS_INTERFACE_UP () {	0x4001000f;}
}
unless(defined(&RNDIS_STATUS_INTERFACE_DOWN)) {
    sub RNDIS_STATUS_INTERFACE_DOWN () {	0x40010010;}
}
unless(defined(&RNDIS_STATUS_MEDIA_BUSY)) {
    sub RNDIS_STATUS_MEDIA_BUSY () {	0x40010011;}
}
unless(defined(&RNDIS_STATUS_MEDIA_SPECIFIC_INDICATION)) {
    sub RNDIS_STATUS_MEDIA_SPECIFIC_INDICATION () {	0x40010012;}
}
unless(defined(&RNDIS_STATUS_WW_INDICATION)) {
    sub RNDIS_STATUS_WW_INDICATION () {	 &RDIA_SPECIFIC_INDICATION;}
}
unless(defined(&RNDIS_STATUS_LINK_SPEED_CHANGE)) {
    sub RNDIS_STATUS_LINK_SPEED_CHANGE () {	0x40010013;}
}
unless(defined(&RNDIS_STATUS_NOT_RESETTABLE)) {
    sub RNDIS_STATUS_NOT_RESETTABLE () {	0x80010001;}
}
unless(defined(&RNDIS_STATUS_SOFT_ERRORS)) {
    sub RNDIS_STATUS_SOFT_ERRORS () {	0x80010003;}
}
unless(defined(&RNDIS_STATUS_HARD_ERRORS)) {
    sub RNDIS_STATUS_HARD_ERRORS () {	0x80010004;}
}
unless(defined(&RNDIS_STATUS_BUFFER_OVERFLOW)) {
    sub RNDIS_STATUS_BUFFER_OVERFLOW () {	0x80000005;}
}
unless(defined(&RNDIS_STATUS_FAILURE)) {
    sub RNDIS_STATUS_FAILURE () {	0xc0000001;}
}
unless(defined(&RNDIS_STATUS_RESOURCES)) {
    sub RNDIS_STATUS_RESOURCES () {	0xc000009a;}
}
unless(defined(&RNDIS_STATUS_NOT_SUPPORTED)) {
    sub RNDIS_STATUS_NOT_SUPPORTED () {	0xc00000bb;}
}
unless(defined(&RNDIS_STATUS_CLOSING)) {
    sub RNDIS_STATUS_CLOSING () {	0xc0010002;}
}
unless(defined(&RNDIS_STATUS_BAD_VERSION)) {
    sub RNDIS_STATUS_BAD_VERSION () {	0xc0010004;}
}
unless(defined(&RNDIS_STATUS_BAD_CHARACTERISTICS)) {
    sub RNDIS_STATUS_BAD_CHARACTERISTICS () {	0xc0010005;}
}
unless(defined(&RNDIS_STATUS_ADAPTER_NOT_FOUND)) {
    sub RNDIS_STATUS_ADAPTER_NOT_FOUND () {	0xc0010006;}
}
unless(defined(&RNDIS_STATUS_OPEN_FAILED)) {
    sub RNDIS_STATUS_OPEN_FAILED () {	0xc0010007;}
}
unless(defined(&RNDIS_STATUS_DEVICE_FAILED)) {
    sub RNDIS_STATUS_DEVICE_FAILED () {	0xc0010008;}
}
unless(defined(&RNDIS_STATUS_MULTICAST_FULL)) {
    sub RNDIS_STATUS_MULTICAST_FULL () {	0xc0010009;}
}
unless(defined(&RNDIS_STATUS_MULTICAST_EXISTS)) {
    sub RNDIS_STATUS_MULTICAST_EXISTS () {	0xc001000a;}
}
unless(defined(&RNDIS_STATUS_MULTICAST_NOT_FOUND)) {
    sub RNDIS_STATUS_MULTICAST_NOT_FOUND () {	0xc001000b;}
}
unless(defined(&RNDIS_STATUS_REQUEST_ABORTED)) {
    sub RNDIS_STATUS_REQUEST_ABORTED () {	0xc001000c;}
}
unless(defined(&RNDIS_STATUS_RESET_IN_PROGRESS)) {
    sub RNDIS_STATUS_RESET_IN_PROGRESS () {	0xc001000d;}
}
unless(defined(&RNDIS_STATUS_CLOSING_INDICATING)) {
    sub RNDIS_STATUS_CLOSING_INDICATING () {	0xc001000e;}
}
unless(defined(&RNDIS_STATUS_INVALID_PACKET)) {
    sub RNDIS_STATUS_INVALID_PACKET () {	0xc001000f;}
}
unless(defined(&RNDIS_STATUS_OPEN_LIST_FULL)) {
    sub RNDIS_STATUS_OPEN_LIST_FULL () {	0xc0010010;}
}
unless(defined(&RNDIS_STATUS_ADAPTER_NOT_READY)) {
    sub RNDIS_STATUS_ADAPTER_NOT_READY () {	0xc0010011;}
}
unless(defined(&RNDIS_STATUS_ADAPTER_NOT_OPEN)) {
    sub RNDIS_STATUS_ADAPTER_NOT_OPEN () {	0xc0010012;}
}
unless(defined(&RNDIS_STATUS_NOT_INDICATING)) {
    sub RNDIS_STATUS_NOT_INDICATING () {	0xc0010013;}
}
unless(defined(&RNDIS_STATUS_INVALID_LENGTH)) {
    sub RNDIS_STATUS_INVALID_LENGTH () {	0xc0010014;}
}
unless(defined(&RNDIS_STATUS_INVALID_DATA)) {
    sub RNDIS_STATUS_INVALID_DATA () {	0xc0010015;}
}
unless(defined(&RNDIS_STATUS_BUFFER_TOO_SHORT)) {
    sub RNDIS_STATUS_BUFFER_TOO_SHORT () {	0xc0010016;}
}
unless(defined(&RNDIS_STATUS_INVALID_OID)) {
    sub RNDIS_STATUS_INVALID_OID () {	0xc0010017;}
}
unless(defined(&RNDIS_STATUS_ADAPTER_REMOVED)) {
    sub RNDIS_STATUS_ADAPTER_REMOVED () {	0xc0010018;}
}
unless(defined(&RNDIS_STATUS_UNSUPPORTED_MEDIA)) {
    sub RNDIS_STATUS_UNSUPPORTED_MEDIA () {	0xc0010019;}
}
unless(defined(&RNDIS_STATUS_GROUP_ADDRESS_IN_USE)) {
    sub RNDIS_STATUS_GROUP_ADDRESS_IN_USE () {	0xc001001a;}
}
unless(defined(&RNDIS_STATUS_FILE_NOT_FOUND)) {
    sub RNDIS_STATUS_FILE_NOT_FOUND () {	0xc001001b;}
}
unless(defined(&RNDIS_STATUS_ERROR_READING_FILE)) {
    sub RNDIS_STATUS_ERROR_READING_FILE () {	0xc001001c;}
}
unless(defined(&RNDIS_STATUS_ALREADY_MAPPED)) {
    sub RNDIS_STATUS_ALREADY_MAPPED () {	0xc001001d;}
}
unless(defined(&RNDIS_STATUS_RESOURCE_CONFLICT)) {
    sub RNDIS_STATUS_RESOURCE_CONFLICT () {	0xc001001e;}
}
unless(defined(&RNDIS_STATUS_NO_CABLE)) {
    sub RNDIS_STATUS_NO_CABLE () {	0xc001001f;}
}
unless(defined(&RNDIS_STATUS_INVALID_SAP)) {
    sub RNDIS_STATUS_INVALID_SAP () {	0xc0010020;}
}
unless(defined(&RNDIS_STATUS_SAP_IN_USE)) {
    sub RNDIS_STATUS_SAP_IN_USE () {	0xc0010021;}
}
unless(defined(&RNDIS_STATUS_INVALID_ADDRESS)) {
    sub RNDIS_STATUS_INVALID_ADDRESS () {	0xc0010022;}
}
unless(defined(&RNDIS_STATUS_VC_NOT_ACTIVATED)) {
    sub RNDIS_STATUS_VC_NOT_ACTIVATED () {	0xc0010023;}
}
unless(defined(&RNDIS_STATUS_DEST_OUT_OF_ORDER)) {
    sub RNDIS_STATUS_DEST_OUT_OF_ORDER () {	0xc0010024;}
}
unless(defined(&RNDIS_STATUS_VC_NOT_AVAILABLE)) {
    sub RNDIS_STATUS_VC_NOT_AVAILABLE () {	0xc0010025;}
}
unless(defined(&RNDIS_STATUS_CELLRATE_NOT_AVAILABLE)) {
    sub RNDIS_STATUS_CELLRATE_NOT_AVAILABLE () {	0xc0010026;}
}
unless(defined(&RNDIS_STATUS_INCOMPATABLE_QOS)) {
    sub RNDIS_STATUS_INCOMPATABLE_QOS () {	0xc0010027;}
}
unless(defined(&RNDIS_STATUS_AAL_PARAMS_UNSUPPORTED)) {
    sub RNDIS_STATUS_AAL_PARAMS_UNSUPPORTED () {	0xc0010028;}
}
unless(defined(&RNDIS_STATUS_NO_ROUTE_TO_DESTINATION)) {
    sub RNDIS_STATUS_NO_ROUTE_TO_DESTINATION () {	0xc0010029;}
}
unless(defined(&RNDIS_STATUS_TOKEN_RING_OPEN_ERROR)) {
    sub RNDIS_STATUS_TOKEN_RING_OPEN_ERROR () {	0xc0011000;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_UNSPECIFIED)) {
    sub RNDIS_PHYSICAL_MEDIUM_UNSPECIFIED () {	0x;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_WIRELESS_LAN)) {
    sub RNDIS_PHYSICAL_MEDIUM_WIRELESS_LAN () {	0x1;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_CABLE_MODEM)) {
    sub RNDIS_PHYSICAL_MEDIUM_CABLE_MODEM () {	0x2;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_PHONE_LINE)) {
    sub RNDIS_PHYSICAL_MEDIUM_PHONE_LINE () {	0x3;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_POWER_LINE)) {
    sub RNDIS_PHYSICAL_MEDIUM_POWER_LINE () {	0x4;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_DSL)) {
    sub RNDIS_PHYSICAL_MEDIUM_DSL () {	0x5;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_FIBRE_CHANNEL)) {
    sub RNDIS_PHYSICAL_MEDIUM_FIBRE_CHANNEL () {	0x6;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_1394)) {
    sub RNDIS_PHYSICAL_MEDIUM_1394 () {	0x7;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_WIRELESS_WAN)) {
    sub RNDIS_PHYSICAL_MEDIUM_WIRELESS_WAN () {	0x8;}
}
unless(defined(&RNDIS_PHYSICAL_MEDIUM_MAX)) {
    sub RNDIS_PHYSICAL_MEDIUM_MAX () {	0x9;}
}
unless(defined(&RNDIS_MEDIUM_UNSPECIFIED)) {
    sub RNDIS_MEDIUM_UNSPECIFIED () {	0x;}
}
unless(defined(&RNDIS_MEDIUM_802_3)) {
    sub RNDIS_MEDIUM_802_3 () {	0x;}
}
unless(defined(&RNDIS_MEDIUM_802_5)) {
    sub RNDIS_MEDIUM_802_5 () {	0x1;}
}
unless(defined(&RNDIS_MEDIUM_FDDI)) {
    sub RNDIS_MEDIUM_FDDI () {	0x2;}
}
unless(defined(&RNDIS_MEDIUM_WAN)) {
    sub RNDIS_MEDIUM_WAN () {	0x3;}
}
unless(defined(&RNDIS_MEDIUM_LOCAL_TALK)) {
    sub RNDIS_MEDIUM_LOCAL_TALK () {	0x4;}
}
unless(defined(&RNDIS_MEDIUM_ARCNET_RAW)) {
    sub RNDIS_MEDIUM_ARCNET_RAW () {	0x6;}
}
unless(defined(&RNDIS_MEDIUM_ARCNET_878_2)) {
    sub RNDIS_MEDIUM_ARCNET_878_2 () {	0x7;}
}
unless(defined(&RNDIS_MEDIUM_ATM)) {
    sub RNDIS_MEDIUM_ATM () {	0x8;}
}
unless(defined(&RNDIS_MEDIUM_WIRELESS_LAN)) {
    sub RNDIS_MEDIUM_WIRELESS_LAN () {	0x9;}
}
unless(defined(&RNDIS_MEDIUM_IRDA)) {
    sub RNDIS_MEDIUM_IRDA () {	0xa;}
}
unless(defined(&RNDIS_MEDIUM_BPC)) {
    sub RNDIS_MEDIUM_BPC () {	0xb;}
}
unless(defined(&RNDIS_MEDIUM_CO_WAN)) {
    sub RNDIS_MEDIUM_CO_WAN () {	0xc;}
}
unless(defined(&RNDIS_MEDIUM_1394)) {
    sub RNDIS_MEDIUM_1394 () {	0xd;}
}
unless(defined(&RNDIS_MEDIUM_MAX)) {
    sub RNDIS_MEDIUM_MAX () {	0xe;}
}
unless(defined(&RNDIS_MEDIA_STATE_CONNECTED)) {
    sub RNDIS_MEDIA_STATE_CONNECTED () {	0x;}
}
unless(defined(&RNDIS_MEDIA_STATE_DISCONNECTED)) {
    sub RNDIS_MEDIA_STATE_DISCONNECTED () {	0x1;}
}
unless(defined(&RNDIS_PACKET_TYPE_DIRECTED)) {
    sub RNDIS_PACKET_TYPE_DIRECTED () {	0x1;}
}
unless(defined(&RNDIS_PACKET_TYPE_MULTICAST)) {
    sub RNDIS_PACKET_TYPE_MULTICAST () {	0x2;}
}
unless(defined(&RNDIS_PACKET_TYPE_ALL_MULTICAST)) {
    sub RNDIS_PACKET_TYPE_ALL_MULTICAST () {	0x4;}
}
unless(defined(&RNDIS_PACKET_TYPE_BROADCAST)) {
    sub RNDIS_PACKET_TYPE_BROADCAST () {	0x8;}
}
unless(defined(&RNDIS_PACKET_TYPE_SOURCE_ROUTING)) {
    sub RNDIS_PACKET_TYPE_SOURCE_ROUTING () {	0x10;}
}
unless(defined(&RNDIS_PACKET_TYPE_PROMISCUOUS)) {
    sub RNDIS_PACKET_TYPE_PROMISCUOUS () {	0x20;}
}
unless(defined(&RNDIS_PACKET_TYPE_SMT)) {
    sub RNDIS_PACKET_TYPE_SMT () {	0x40;}
}
unless(defined(&RNDIS_PACKET_TYPE_ALL_LOCAL)) {
    sub RNDIS_PACKET_TYPE_ALL_LOCAL () {	0x80;}
}
unless(defined(&RNDIS_PACKET_TYPE_GROUP)) {
    sub RNDIS_PACKET_TYPE_GROUP () {	0x1000;}
}
unless(defined(&RNDIS_PACKET_TYPE_ALL_FUNCTIONAL)) {
    sub RNDIS_PACKET_TYPE_ALL_FUNCTIONAL () {	0x2000;}
}
unless(defined(&RNDIS_PACKET_TYPE_FUNCTIONAL)) {
    sub RNDIS_PACKET_TYPE_FUNCTIONAL () {	0x4000;}
}
unless(defined(&RNDIS_PACKET_TYPE_MAC_FRAME)) {
    sub RNDIS_PACKET_TYPE_MAC_FRAME () {	0x8000;}
}
unless(defined(&RNDIS_MINIPORT_BUS_MASTER)) {
    sub RNDIS_MINIPORT_BUS_MASTER () {	0x1;}
}
unless(defined(&RNDIS_MINIPORT_WDM_DRIVER)) {
    sub RNDIS_MINIPORT_WDM_DRIVER () {	0x2;}
}
unless(defined(&RNDIS_MINIPORT_SG_LIST)) {
    sub RNDIS_MINIPORT_SG_LIST () {	0x4;}
}
unless(defined(&RNDIS_MINIPORT_SUPPORTS_MEDIA_QUERY)) {
    sub RNDIS_MINIPORT_SUPPORTS_MEDIA_QUERY () {	0x8;}
}
unless(defined(&RNDIS_MINIPORT_INDICATES_PACKETS)) {
    sub RNDIS_MINIPORT_INDICATES_PACKETS () {	0x10;}
}
unless(defined(&RNDIS_MINIPORT_IGNORE_PACKET_QUEUE)) {
    sub RNDIS_MINIPORT_IGNORE_PACKET_QUEUE () {	0x20;}
}
unless(defined(&RNDIS_MINIPORT_IGNORE_REQUEST_QUEUE)) {
    sub RNDIS_MINIPORT_IGNORE_REQUEST_QUEUE () {	0x40;}
}
unless(defined(&RNDIS_MINIPORT_IGNORE_TOKEN_RING_ERRORS)) {
    sub RNDIS_MINIPORT_IGNORE_TOKEN_RING_ERRORS () {	0x80;}
}
unless(defined(&RNDIS_MINIPORT_INTERMEDIATE_DRIVER)) {
    sub RNDIS_MINIPORT_INTERMEDIATE_DRIVER () {	0x100;}
}
unless(defined(&RNDIS_MINIPORT_IS_NDIS_5)) {
    sub RNDIS_MINIPORT_IS_NDIS_5 () {	0x200;}
}
unless(defined(&RNDIS_MINIPORT_IS_CO)) {
    sub RNDIS_MINIPORT_IS_CO () {	0x400;}
}
unless(defined(&RNDIS_MINIPORT_DESERIALIZE)) {
    sub RNDIS_MINIPORT_DESERIALIZE () {	0x800;}
}
unless(defined(&RNDIS_MINIPORT_REQUIRES_MEDIA_POLLING)) {
    sub RNDIS_MINIPORT_REQUIRES_MEDIA_POLLING () {	0x1000;}
}
unless(defined(&RNDIS_MINIPORT_SUPPORTS_MEDIA_SENSE)) {
    sub RNDIS_MINIPORT_SUPPORTS_MEDIA_SENSE () {	0x2000;}
}
unless(defined(&RNDIS_MINIPORT_NETBOOT_CARD)) {
    sub RNDIS_MINIPORT_NETBOOT_CARD () {	0x4000;}
}
unless(defined(&RNDIS_MINIPORT_PM_SUPPORTED)) {
    sub RNDIS_MINIPORT_PM_SUPPORTED () {	0x8000;}
}
unless(defined(&RNDIS_MINIPORT_SUPPORTS_MAC_ADDRESS_OVERWRITE)) {
    sub RNDIS_MINIPORT_SUPPORTS_MAC_ADDRESS_OVERWRITE () {	0x10000;}
}
unless(defined(&RNDIS_MINIPORT_USES_SAFE_BUFFER_APIS)) {
    sub RNDIS_MINIPORT_USES_SAFE_BUFFER_APIS () {	0x20000;}
}
unless(defined(&RNDIS_MINIPORT_HIDDEN)) {
    sub RNDIS_MINIPORT_HIDDEN () {	0x40000;}
}
unless(defined(&RNDIS_MINIPORT_SWENUM)) {
    sub RNDIS_MINIPORT_SWENUM () {	0x80000;}
}
unless(defined(&RNDIS_MINIPORT_SURPRISE_REMOVE_OK)) {
    sub RNDIS_MINIPORT_SURPRISE_REMOVE_OK () {	0x100000;}
}
unless(defined(&RNDIS_MINIPORT_NO_HALT_ON_SUSPEND)) {
    sub RNDIS_MINIPORT_NO_HALT_ON_SUSPEND () {	0x200000;}
}
unless(defined(&RNDIS_MINIPORT_HARDWARE_DEVICE)) {
    sub RNDIS_MINIPORT_HARDWARE_DEVICE () {	0x400000;}
}
unless(defined(&RNDIS_MINIPORT_SUPPORTS_CANCEL_SEND_PACKETS)) {
    sub RNDIS_MINIPORT_SUPPORTS_CANCEL_SEND_PACKETS () {	0x800000;}
}
unless(defined(&RNDIS_MINIPORT_64BITS_DMA)) {
    sub RNDIS_MINIPORT_64BITS_DMA () {	0x1000000;}
}
unless(defined(&RNDIS_MAC_OPTION_COPY_LOOKAHEAD_DATA)) {
    sub RNDIS_MAC_OPTION_COPY_LOOKAHEAD_DATA () {	0x1;}
}
unless(defined(&RNDIS_MAC_OPTION_RECEIVE_SERIALIZED)) {
    sub RNDIS_MAC_OPTION_RECEIVE_SERIALIZED () {	0x2;}
}
unless(defined(&RNDIS_MAC_OPTION_TRANSFERS_NOT_PEND)) {
    sub RNDIS_MAC_OPTION_TRANSFERS_NOT_PEND () {	0x4;}
}
unless(defined(&RNDIS_MAC_OPTION_NO_LOOPBACK)) {
    sub RNDIS_MAC_OPTION_NO_LOOPBACK () {	0x8;}
}
unless(defined(&RNDIS_MAC_OPTION_FULL_DUPLEX)) {
    sub RNDIS_MAC_OPTION_FULL_DUPLEX () {	0x10;}
}
unless(defined(&RNDIS_MAC_OPTION_EOTX_INDICATION)) {
    sub RNDIS_MAC_OPTION_EOTX_INDICATION () {	0x20;}
}
unless(defined(&RNDIS_MAC_OPTION_8021P_PRIORITY)) {
    sub RNDIS_MAC_OPTION_8021P_PRIORITY () {	0x40;}
}
unless(defined(&RNDIS_MAC_OPTION_RESERVED)) {
    sub RNDIS_MAC_OPTION_RESERVED () {	0x80000000;}
}
unless(defined(&RNDIS_OID_GEN_SUPPORTED_LIST)) {
    sub RNDIS_OID_GEN_SUPPORTED_LIST () {	0x10101;}
}
unless(defined(&RNDIS_OID_GEN_HARDWARE_STATUS)) {
    sub RNDIS_OID_GEN_HARDWARE_STATUS () {	0x10102;}
}
unless(defined(&RNDIS_OID_GEN_MEDIA_SUPPORTED)) {
    sub RNDIS_OID_GEN_MEDIA_SUPPORTED () {	0x10103;}
}
unless(defined(&RNDIS_OID_GEN_MEDIA_IN_USE)) {
    sub RNDIS_OID_GEN_MEDIA_IN_USE () {	0x10104;}
}
unless(defined(&RNDIS_OID_GEN_MAXIMUM_LOOKAHEAD)) {
    sub RNDIS_OID_GEN_MAXIMUM_LOOKAHEAD () {	0x10105;}
}
unless(defined(&RNDIS_OID_GEN_MAXIMUM_FRAME_SIZE)) {
    sub RNDIS_OID_GEN_MAXIMUM_FRAME_SIZE () {	0x10106;}
}
unless(defined(&RNDIS_OID_GEN_LINK_SPEED)) {
    sub RNDIS_OID_GEN_LINK_SPEED () {	0x10107;}
}
unless(defined(&RNDIS_OID_GEN_TRANSMIT_BUFFER_SPACE)) {
    sub RNDIS_OID_GEN_TRANSMIT_BUFFER_SPACE () {	0x10108;}
}
unless(defined(&RNDIS_OID_GEN_RECEIVE_BUFFER_SPACE)) {
    sub RNDIS_OID_GEN_RECEIVE_BUFFER_SPACE () {	0x10109;}
}
unless(defined(&RNDIS_OID_GEN_TRANSMIT_BLOCK_SIZE)) {
    sub RNDIS_OID_GEN_TRANSMIT_BLOCK_SIZE () {	0x1010a;}
}
unless(defined(&RNDIS_OID_GEN_RECEIVE_BLOCK_SIZE)) {
    sub RNDIS_OID_GEN_RECEIVE_BLOCK_SIZE () {	0x1010b;}
}
unless(defined(&RNDIS_OID_GEN_VENDOR_ID)) {
    sub RNDIS_OID_GEN_VENDOR_ID () {	0x1010c;}
}
unless(defined(&RNDIS_OID_GEN_VENDOR_DESCRIPTION)) {
    sub RNDIS_OID_GEN_VENDOR_DESCRIPTION () {	0x1010d;}
}
unless(defined(&RNDIS_OID_GEN_CURRENT_PACKET_FILTER)) {
    sub RNDIS_OID_GEN_CURRENT_PACKET_FILTER () {	0x1010e;}
}
unless(defined(&RNDIS_OID_GEN_CURRENT_LOOKAHEAD)) {
    sub RNDIS_OID_GEN_CURRENT_LOOKAHEAD () {	0x1010f;}
}
unless(defined(&RNDIS_OID_GEN_DRIVER_VERSION)) {
    sub RNDIS_OID_GEN_DRIVER_VERSION () {	0x10110;}
}
unless(defined(&RNDIS_OID_GEN_MAXIMUM_TOTAL_SIZE)) {
    sub RNDIS_OID_GEN_MAXIMUM_TOTAL_SIZE () {	0x10111;}
}
unless(defined(&RNDIS_OID_GEN_PROTOCOL_OPTIONS)) {
    sub RNDIS_OID_GEN_PROTOCOL_OPTIONS () {	0x10112;}
}
unless(defined(&RNDIS_OID_GEN_MAC_OPTIONS)) {
    sub RNDIS_OID_GEN_MAC_OPTIONS () {	0x10113;}
}
unless(defined(&RNDIS_OID_GEN_MEDIA_CONNECT_STATUS)) {
    sub RNDIS_OID_GEN_MEDIA_CONNECT_STATUS () {	0x10114;}
}
unless(defined(&RNDIS_OID_GEN_MAXIMUM_SEND_PACKETS)) {
    sub RNDIS_OID_GEN_MAXIMUM_SEND_PACKETS () {	0x10115;}
}
unless(defined(&RNDIS_OID_GEN_VENDOR_DRIVER_VERSION)) {
    sub RNDIS_OID_GEN_VENDOR_DRIVER_VERSION () {	0x10116;}
}
unless(defined(&RNDIS_OID_GEN_SUPPORTED_GUIDS)) {
    sub RNDIS_OID_GEN_SUPPORTED_GUIDS () {	0x10117;}
}
unless(defined(&RNDIS_OID_GEN_NETWORK_LAYER_ADDRESSES)) {
    sub RNDIS_OID_GEN_NETWORK_LAYER_ADDRESSES () {	0x10118;}
}
unless(defined(&RNDIS_OID_GEN_TRANSPORT_HEADER_OFFSET)) {
    sub RNDIS_OID_GEN_TRANSPORT_HEADER_OFFSET () {	0x10119;}
}
unless(defined(&RNDIS_OID_GEN_PHYSICAL_MEDIUM)) {
    sub RNDIS_OID_GEN_PHYSICAL_MEDIUM () {	0x10202;}
}
unless(defined(&RNDIS_OID_GEN_MACHINE_NAME)) {
    sub RNDIS_OID_GEN_MACHINE_NAME () {	0x1021a;}
}
unless(defined(&RNDIS_OID_GEN_RNDIS_CONFIG_PARAMETER)) {
    sub RNDIS_OID_GEN_RNDIS_CONFIG_PARAMETER () {	0x1021b;}
}
unless(defined(&RNDIS_OID_GEN_VLAN_ID)) {
    sub RNDIS_OID_GEN_VLAN_ID () {	0x1021c;}
}
unless(defined(&RNDIS_OID_GEN_MEDIA_CAPABILITIES)) {
    sub RNDIS_OID_GEN_MEDIA_CAPABILITIES () {	0x10201;}
}
unless(defined(&RNDIS_OID_GEN_XMIT_OK)) {
    sub RNDIS_OID_GEN_XMIT_OK () {	0x20101;}
}
unless(defined(&RNDIS_OID_GEN_RCV_OK)) {
    sub RNDIS_OID_GEN_RCV_OK () {	0x20102;}
}
unless(defined(&RNDIS_OID_GEN_XMIT_ERROR)) {
    sub RNDIS_OID_GEN_XMIT_ERROR () {	0x20103;}
}
unless(defined(&RNDIS_OID_GEN_RCV_ERROR)) {
    sub RNDIS_OID_GEN_RCV_ERROR () {	0x20104;}
}
unless(defined(&RNDIS_OID_GEN_RCV_NO_BUFFER)) {
    sub RNDIS_OID_GEN_RCV_NO_BUFFER () {	0x20105;}
}
unless(defined(&RNDIS_OID_GEN_DIRECTED_BYTES_XMIT)) {
    sub RNDIS_OID_GEN_DIRECTED_BYTES_XMIT () {	0x20201;}
}
unless(defined(&RNDIS_OID_GEN_DIRECTED_FRAMES_XMIT)) {
    sub RNDIS_OID_GEN_DIRECTED_FRAMES_XMIT () {	0x20202;}
}
unless(defined(&RNDIS_OID_GEN_MULTICAST_BYTES_XMIT)) {
    sub RNDIS_OID_GEN_MULTICAST_BYTES_XMIT () {	0x20203;}
}
unless(defined(&RNDIS_OID_GEN_MULTICAST_FRAMES_XMIT)) {
    sub RNDIS_OID_GEN_MULTICAST_FRAMES_XMIT () {	0x20204;}
}
unless(defined(&RNDIS_OID_GEN_BROADCAST_BYTES_XMIT)) {
    sub RNDIS_OID_GEN_BROADCAST_BYTES_XMIT () {	0x20205;}
}
unless(defined(&RNDIS_OID_GEN_BROADCAST_FRAMES_XMIT)) {
    sub RNDIS_OID_GEN_BROADCAST_FRAMES_XMIT () {	0x20206;}
}
unless(defined(&RNDIS_OID_GEN_DIRECTED_BYTES_RCV)) {
    sub RNDIS_OID_GEN_DIRECTED_BYTES_RCV () {	0x20207;}
}
unless(defined(&RNDIS_OID_GEN_DIRECTED_FRAMES_RCV)) {
    sub RNDIS_OID_GEN_DIRECTED_FRAMES_RCV () {	0x20208;}
}
unless(defined(&RNDIS_OID_GEN_MULTICAST_BYTES_RCV)) {
    sub RNDIS_OID_GEN_MULTICAST_BYTES_RCV () {	0x20209;}
}
unless(defined(&RNDIS_OID_GEN_MULTICAST_FRAMES_RCV)) {
    sub RNDIS_OID_GEN_MULTICAST_FRAMES_RCV () {	0x2020a;}
}
unless(defined(&RNDIS_OID_GEN_BROADCAST_BYTES_RCV)) {
    sub RNDIS_OID_GEN_BROADCAST_BYTES_RCV () {	0x2020b;}
}
unless(defined(&RNDIS_OID_GEN_BROADCAST_FRAMES_RCV)) {
    sub RNDIS_OID_GEN_BROADCAST_FRAMES_RCV () {	0x2020c;}
}
unless(defined(&RNDIS_OID_GEN_RCV_CRC_ERROR)) {
    sub RNDIS_OID_GEN_RCV_CRC_ERROR () {	0x2020d;}
}
unless(defined(&RNDIS_OID_GEN_TRANSMIT_QUEUE_LENGTH)) {
    sub RNDIS_OID_GEN_TRANSMIT_QUEUE_LENGTH () {	0x2020e;}
}
unless(defined(&RNDIS_OID_GEN_GET_TIME_CAPS)) {
    sub RNDIS_OID_GEN_GET_TIME_CAPS () {	0x2020f;}
}
unless(defined(&RNDIS_OID_GEN_GET_NETCARD_TIME)) {
    sub RNDIS_OID_GEN_GET_NETCARD_TIME () {	0x20210;}
}
unless(defined(&RNDIS_OID_GEN_NETCARD_LOAD)) {
    sub RNDIS_OID_GEN_NETCARD_LOAD () {	0x20211;}
}
unless(defined(&RNDIS_OID_GEN_DEVICE_PROFILE)) {
    sub RNDIS_OID_GEN_DEVICE_PROFILE () {	0x20212;}
}
unless(defined(&RNDIS_OID_GEN_INIT_TIME_MS)) {
    sub RNDIS_OID_GEN_INIT_TIME_MS () {	0x20213;}
}
unless(defined(&RNDIS_OID_GEN_RESET_COUNTS)) {
    sub RNDIS_OID_GEN_RESET_COUNTS () {	0x20214;}
}
unless(defined(&RNDIS_OID_GEN_MEDIA_SENSE_COUNTS)) {
    sub RNDIS_OID_GEN_MEDIA_SENSE_COUNTS () {	0x20215;}
}
unless(defined(&RNDIS_OID_GEN_FRIENDLY_NAME)) {
    sub RNDIS_OID_GEN_FRIENDLY_NAME () {	0x20216;}
}
unless(defined(&RNDIS_OID_GEN_MINIPORT_INFO)) {
    sub RNDIS_OID_GEN_MINIPORT_INFO () {	0x20217;}
}
unless(defined(&RNDIS_OID_GEN_RESET_VERIFY_PARAMETERS)) {
    sub RNDIS_OID_GEN_RESET_VERIFY_PARAMETERS () {	0x20218;}
}
unless(defined(&RNDIS_OID_GEN_CO_SUPPORTED_LIST)) {
    sub RNDIS_OID_GEN_CO_SUPPORTED_LIST () {	0x10101;}
}
unless(defined(&RNDIS_OID_GEN_CO_HARDWARE_STATUS)) {
    sub RNDIS_OID_GEN_CO_HARDWARE_STATUS () {	0x10102;}
}
unless(defined(&RNDIS_OID_GEN_CO_MEDIA_SUPPORTED)) {
    sub RNDIS_OID_GEN_CO_MEDIA_SUPPORTED () {	0x10103;}
}
unless(defined(&RNDIS_OID_GEN_CO_MEDIA_IN_USE)) {
    sub RNDIS_OID_GEN_CO_MEDIA_IN_USE () {	0x10104;}
}
unless(defined(&RNDIS_OID_GEN_CO_LINK_SPEED)) {
    sub RNDIS_OID_GEN_CO_LINK_SPEED () {	0x10105;}
}
unless(defined(&RNDIS_OID_GEN_CO_VENDOR_ID)) {
    sub RNDIS_OID_GEN_CO_VENDOR_ID () {	0x10106;}
}
unless(defined(&RNDIS_OID_GEN_CO_VENDOR_DESCRIPTION)) {
    sub RNDIS_OID_GEN_CO_VENDOR_DESCRIPTION () {	0x10107;}
}
unless(defined(&RNDIS_OID_GEN_CO_DRIVER_VERSION)) {
    sub RNDIS_OID_GEN_CO_DRIVER_VERSION () {	0x10108;}
}
unless(defined(&RNDIS_OID_GEN_CO_PROTOCOL_OPTIONS)) {
    sub RNDIS_OID_GEN_CO_PROTOCOL_OPTIONS () {	0x10109;}
}
unless(defined(&RNDIS_OID_GEN_CO_MAC_OPTIONS)) {
    sub RNDIS_OID_GEN_CO_MAC_OPTIONS () {	0x1010a;}
}
unless(defined(&RNDIS_OID_GEN_CO_MEDIA_CONNECT_STATUS)) {
    sub RNDIS_OID_GEN_CO_MEDIA_CONNECT_STATUS () {	0x1010b;}
}
unless(defined(&RNDIS_OID_GEN_CO_VENDOR_DRIVER_VERSION)) {
    sub RNDIS_OID_GEN_CO_VENDOR_DRIVER_VERSION () {	0x1010c;}
}
unless(defined(&RNDIS_OID_GEN_CO_MINIMUM_LINK_SPEED)) {
    sub RNDIS_OID_GEN_CO_MINIMUM_LINK_SPEED () {	0x1010d;}
}
unless(defined(&RNDIS_OID_GEN_CO_GET_TIME_CAPS)) {
    sub RNDIS_OID_GEN_CO_GET_TIME_CAPS () {	0x10201;}
}
unless(defined(&RNDIS_OID_GEN_CO_GET_NETCARD_TIME)) {
    sub RNDIS_OID_GEN_CO_GET_NETCARD_TIME () {	0x10202;}
}
unless(defined(&RNDIS_OID_GEN_CO_XMIT_PDUS_OK)) {
    sub RNDIS_OID_GEN_CO_XMIT_PDUS_OK () {	0x20101;}
}
unless(defined(&RNDIS_OID_GEN_CO_RCV_PDUS_OK)) {
    sub RNDIS_OID_GEN_CO_RCV_PDUS_OK () {	0x20102;}
}
unless(defined(&RNDIS_OID_GEN_CO_XMIT_PDUS_ERROR)) {
    sub RNDIS_OID_GEN_CO_XMIT_PDUS_ERROR () {	0x20103;}
}
unless(defined(&RNDIS_OID_GEN_CO_RCV_PDUS_ERROR)) {
    sub RNDIS_OID_GEN_CO_RCV_PDUS_ERROR () {	0x20104;}
}
unless(defined(&RNDIS_OID_GEN_CO_RCV_PDUS_NO_BUFFER)) {
    sub RNDIS_OID_GEN_CO_RCV_PDUS_NO_BUFFER () {	0x20105;}
}
unless(defined(&RNDIS_OID_GEN_CO_RCV_CRC_ERROR)) {
    sub RNDIS_OID_GEN_CO_RCV_CRC_ERROR () {	0x20201;}
}
unless(defined(&RNDIS_OID_GEN_CO_TRANSMIT_QUEUE_LENGTH)) {
    sub RNDIS_OID_GEN_CO_TRANSMIT_QUEUE_LENGTH () {	0x20202;}
}
unless(defined(&RNDIS_OID_GEN_CO_BYTES_XMIT)) {
    sub RNDIS_OID_GEN_CO_BYTES_XMIT () {	0x20203;}
}
unless(defined(&RNDIS_OID_GEN_CO_BYTES_RCV)) {
    sub RNDIS_OID_GEN_CO_BYTES_RCV () {	0x20204;}
}
unless(defined(&RNDIS_OID_GEN_CO_BYTES_XMIT_OUTSTANDING)) {
    sub RNDIS_OID_GEN_CO_BYTES_XMIT_OUTSTANDING () {	0x20205;}
}
unless(defined(&RNDIS_OID_GEN_CO_NETCARD_LOAD)) {
    sub RNDIS_OID_GEN_CO_NETCARD_LOAD () {	0x20206;}
}
unless(defined(&RNDIS_OID_CO_ADD_PVC)) {
    sub RNDIS_OID_CO_ADD_PVC () {	0xff000001;}
}
unless(defined(&RNDIS_OID_CO_DELETE_PVC)) {
    sub RNDIS_OID_CO_DELETE_PVC () {	0xff000002;}
}
unless(defined(&RNDIS_OID_CO_GET_CALL_INFORMATION)) {
    sub RNDIS_OID_CO_GET_CALL_INFORMATION () {	0xff000003;}
}
unless(defined(&RNDIS_OID_CO_ADD_ADDRESS)) {
    sub RNDIS_OID_CO_ADD_ADDRESS () {	0xff000004;}
}
unless(defined(&RNDIS_OID_CO_DELETE_ADDRESS)) {
    sub RNDIS_OID_CO_DELETE_ADDRESS () {	0xff000005;}
}
unless(defined(&RNDIS_OID_CO_GET_ADDRESSES)) {
    sub RNDIS_OID_CO_GET_ADDRESSES () {	0xff000006;}
}
unless(defined(&RNDIS_OID_CO_ADDRESS_CHANGE)) {
    sub RNDIS_OID_CO_ADDRESS_CHANGE () {	0xff000007;}
}
unless(defined(&RNDIS_OID_CO_SIGNALING_ENABLED)) {
    sub RNDIS_OID_CO_SIGNALING_ENABLED () {	0xff000008;}
}
unless(defined(&RNDIS_OID_CO_SIGNALING_DISABLED)) {
    sub RNDIS_OID_CO_SIGNALING_DISABLED () {	0xff000009;}
}
unless(defined(&RNDIS_OID_802_3_PERMANENT_ADDRESS)) {
    sub RNDIS_OID_802_3_PERMANENT_ADDRESS () {	0x1010101;}
}
unless(defined(&RNDIS_OID_802_3_CURRENT_ADDRESS)) {
    sub RNDIS_OID_802_3_CURRENT_ADDRESS () {	0x1010102;}
}
unless(defined(&RNDIS_OID_802_3_MULTICAST_LIST)) {
    sub RNDIS_OID_802_3_MULTICAST_LIST () {	0x1010103;}
}
unless(defined(&RNDIS_OID_802_3_MAXIMUM_LIST_SIZE)) {
    sub RNDIS_OID_802_3_MAXIMUM_LIST_SIZE () {	0x1010104;}
}
unless(defined(&RNDIS_OID_802_3_MAC_OPTIONS)) {
    sub RNDIS_OID_802_3_MAC_OPTIONS () {	0x1010105;}
}
unless(defined(&RNDIS_802_3_MAC_OPTION_PRIORITY)) {
    sub RNDIS_802_3_MAC_OPTION_PRIORITY () {	0x1;}
}
unless(defined(&RNDIS_OID_802_3_RCV_ERROR_ALIGNMENT)) {
    sub RNDIS_OID_802_3_RCV_ERROR_ALIGNMENT () {	0x1020101;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_ONE_COLLISION)) {
    sub RNDIS_OID_802_3_XMIT_ONE_COLLISION () {	0x1020102;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_MORE_COLLISIONS)) {
    sub RNDIS_OID_802_3_XMIT_MORE_COLLISIONS () {	0x1020103;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_DEFERRED)) {
    sub RNDIS_OID_802_3_XMIT_DEFERRED () {	0x1020201;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_MAX_COLLISIONS)) {
    sub RNDIS_OID_802_3_XMIT_MAX_COLLISIONS () {	0x1020202;}
}
unless(defined(&RNDIS_OID_802_3_RCV_OVERRUN)) {
    sub RNDIS_OID_802_3_RCV_OVERRUN () {	0x1020203;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_UNDERRUN)) {
    sub RNDIS_OID_802_3_XMIT_UNDERRUN () {	0x1020204;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_HEARTBEAT_FAILURE)) {
    sub RNDIS_OID_802_3_XMIT_HEARTBEAT_FAILURE () {	0x1020205;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_TIMES_CRS_LOST)) {
    sub RNDIS_OID_802_3_XMIT_TIMES_CRS_LOST () {	0x1020206;}
}
unless(defined(&RNDIS_OID_802_3_XMIT_LATE_COLLISIONS)) {
    sub RNDIS_OID_802_3_XMIT_LATE_COLLISIONS () {	0x1020207;}
}
unless(defined(&RNDIS_OID_802_11_BSSID)) {
    sub RNDIS_OID_802_11_BSSID () {	0xd010101;}
}
unless(defined(&RNDIS_OID_802_11_SSID)) {
    sub RNDIS_OID_802_11_SSID () {	0xd010102;}
}
unless(defined(&RNDIS_OID_802_11_INFRASTRUCTURE_MODE)) {
    sub RNDIS_OID_802_11_INFRASTRUCTURE_MODE () {	0xd010108;}
}
unless(defined(&RNDIS_OID_802_11_ADD_WEP)) {
    sub RNDIS_OID_802_11_ADD_WEP () {	0xd010113;}
}
unless(defined(&RNDIS_OID_802_11_REMOVE_WEP)) {
    sub RNDIS_OID_802_11_REMOVE_WEP () {	0xd010114;}
}
unless(defined(&RNDIS_OID_802_11_DISASSOCIATE)) {
    sub RNDIS_OID_802_11_DISASSOCIATE () {	0xd010115;}
}
unless(defined(&RNDIS_OID_802_11_AUTHENTICATION_MODE)) {
    sub RNDIS_OID_802_11_AUTHENTICATION_MODE () {	0xd010118;}
}
unless(defined(&RNDIS_OID_802_11_PRIVACY_FILTER)) {
    sub RNDIS_OID_802_11_PRIVACY_FILTER () {	0xd010119;}
}
unless(defined(&RNDIS_OID_802_11_BSSID_LIST_SCAN)) {
    sub RNDIS_OID_802_11_BSSID_LIST_SCAN () {	0xd01011a;}
}
unless(defined(&RNDIS_OID_802_11_ENCRYPTION_STATUS)) {
    sub RNDIS_OID_802_11_ENCRYPTION_STATUS () {	0xd01011b;}
}
unless(defined(&RNDIS_OID_802_11_ADD_KEY)) {
    sub RNDIS_OID_802_11_ADD_KEY () {	0xd01011d;}
}
unless(defined(&RNDIS_OID_802_11_REMOVE_KEY)) {
    sub RNDIS_OID_802_11_REMOVE_KEY () {	0xd01011e;}
}
unless(defined(&RNDIS_OID_802_11_ASSOCIATION_INFORMATION)) {
    sub RNDIS_OID_802_11_ASSOCIATION_INFORMATION () {	0xd01011f;}
}
unless(defined(&RNDIS_OID_802_11_CAPABILITY)) {
    sub RNDIS_OID_802_11_CAPABILITY () {	0xd010122;}
}
unless(defined(&RNDIS_OID_802_11_PMKID)) {
    sub RNDIS_OID_802_11_PMKID () {	0xd010123;}
}
unless(defined(&RNDIS_OID_802_11_NETWORK_TYPES_SUPPORTED)) {
    sub RNDIS_OID_802_11_NETWORK_TYPES_SUPPORTED () {	0xd010203;}
}
unless(defined(&RNDIS_OID_802_11_NETWORK_TYPE_IN_USE)) {
    sub RNDIS_OID_802_11_NETWORK_TYPE_IN_USE () {	0xd010204;}
}
unless(defined(&RNDIS_OID_802_11_TX_POWER_LEVEL)) {
    sub RNDIS_OID_802_11_TX_POWER_LEVEL () {	0xd010205;}
}
unless(defined(&RNDIS_OID_802_11_RSSI)) {
    sub RNDIS_OID_802_11_RSSI () {	0xd010206;}
}
unless(defined(&RNDIS_OID_802_11_RSSI_TRIGGER)) {
    sub RNDIS_OID_802_11_RSSI_TRIGGER () {	0xd010207;}
}
unless(defined(&RNDIS_OID_802_11_FRAGMENTATION_THRESHOLD)) {
    sub RNDIS_OID_802_11_FRAGMENTATION_THRESHOLD () {	0xd010209;}
}
unless(defined(&RNDIS_OID_802_11_RTS_THRESHOLD)) {
    sub RNDIS_OID_802_11_RTS_THRESHOLD () {	0xd01020a;}
}
unless(defined(&RNDIS_OID_802_11_SUPPORTED_RATES)) {
    sub RNDIS_OID_802_11_SUPPORTED_RATES () {	0xd01020e;}
}
unless(defined(&RNDIS_OID_802_11_CONFIGURATION)) {
    sub RNDIS_OID_802_11_CONFIGURATION () {	0xd010211;}
}
unless(defined(&RNDIS_OID_802_11_POWER_MODE)) {
    sub RNDIS_OID_802_11_POWER_MODE () {	0xd010216;}
}
unless(defined(&RNDIS_OID_802_11_BSSID_LIST)) {
    sub RNDIS_OID_802_11_BSSID_LIST () {	0xd010217;}
}
unless(defined(&RNDIS_OID_PNP_CAPABILITIES)) {
    sub RNDIS_OID_PNP_CAPABILITIES () {	0xfd010100;}
}
unless(defined(&RNDIS_OID_PNP_SET_POWER)) {
    sub RNDIS_OID_PNP_SET_POWER () {	0xfd010101;}
}
unless(defined(&RNDIS_OID_PNP_QUERY_POWER)) {
    sub RNDIS_OID_PNP_QUERY_POWER () {	0xfd010102;}
}
unless(defined(&RNDIS_OID_PNP_ADD_WAKE_UP_PATTERN)) {
    sub RNDIS_OID_PNP_ADD_WAKE_UP_PATTERN () {	0xfd010103;}
}
unless(defined(&RNDIS_OID_PNP_REMOVE_WAKE_UP_PATTERN)) {
    sub RNDIS_OID_PNP_REMOVE_WAKE_UP_PATTERN () {	0xfd010104;}
}
unless(defined(&RNDIS_OID_PNP_ENABLE_WAKE_UP)) {
    sub RNDIS_OID_PNP_ENABLE_WAKE_UP () {	0xfd010106;}
}
unless(defined(&RNDIS_DEVICE_WAKE_UP_ENABLE)) {
    sub RNDIS_DEVICE_WAKE_UP_ENABLE () {	0x1;}
}
unless(defined(&RNDIS_DEVICE_WAKE_ON_PATTERN_MATCH_ENABLE)) {
    sub RNDIS_DEVICE_WAKE_ON_PATTERN_MATCH_ENABLE () {	0x2;}
}
unless(defined(&RNDIS_DEVICE_WAKE_ON_MAGIC_PACKET_ENABLE)) {
    sub RNDIS_DEVICE_WAKE_ON_MAGIC_PACKET_ENABLE () {	0x4;}
}
unless(defined(&REMOTE_CONDIS_MP_CREATE_VC_MSG)) {
    sub REMOTE_CONDIS_MP_CREATE_VC_MSG () {	0x8001;}
}
unless(defined(&REMOTE_CONDIS_MP_DELETE_VC_MSG)) {
    sub REMOTE_CONDIS_MP_DELETE_VC_MSG () {	0x8002;}
}
unless(defined(&REMOTE_CONDIS_MP_ACTIVATE_VC_MSG)) {
    sub REMOTE_CONDIS_MP_ACTIVATE_VC_MSG () {	0x8005;}
}
unless(defined(&REMOTE_CONDIS_MP_DEACTIVATE_VC_MSG)) {
    sub REMOTE_CONDIS_MP_DEACTIVATE_VC_MSG () {	0x8006;}
}
unless(defined(&REMOTE_CONDIS_INDICATE_STATUS_MSG)) {
    sub REMOTE_CONDIS_INDICATE_STATUS_MSG () {	0x8007;}
}
unless(defined(&REMOTE_CONDIS_MP_CREATE_VC_CMPLT)) {
    sub REMOTE_CONDIS_MP_CREATE_VC_CMPLT () {	0x80008001;}
}
unless(defined(&REMOTE_CONDIS_MP_DELETE_VC_CMPLT)) {
    sub REMOTE_CONDIS_MP_DELETE_VC_CMPLT () {	0x80008002;}
}
unless(defined(&REMOTE_CONDIS_MP_ACTIVATE_VC_CMPLT)) {
    sub REMOTE_CONDIS_MP_ACTIVATE_VC_CMPLT () {	0x80008005;}
}
unless(defined(&REMOTE_CONDIS_MP_DEACTIVATE_VC_CMPLT)) {
    sub REMOTE_CONDIS_MP_DEACTIVATE_VC_CMPLT () {	0x80008006;}
}
1;
